org.eclipse.graphiti.palette

## Interface IPaletteEntry

All Known Subinterfaces:
  IConnectionCreationToolEntry, ICreationToolEntry, IObjectCreationToolEntry, IPaletteCompartmentEntry, IPaletteSeparatorEntry, IStackToolEntry, IToolEntry

All Known Implementing Classes:
  AbstractPaletteEntry, AbstractPaletteToolEntry, ConnectionCreationToolEntry, ObjectCreationToolEntry, PaletteCompartmentEntry, PaletteSeparatorEntry, StackEntry

    public interface IPaletteEntry

The Interface IPaletteEntry.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getIconId()` Gets the icon id.
`java.lang.String` `getLabel()` Gets the label.

### Method Detail

#### getLabel

    java.lang.String getLabel()

Gets the label.

Returns:
  the label

#### getIconId

    java.lang.String getIconId()

Gets the icon id.

Returns:
  the icon id